## GnomeDbSqlConsole GnomeDbSqlConsole |

## Synopsis

                        GnomeDbSqlConsole;
                        GnomeDbSqlConsoleClass;
                        GnomeDbSqlConsolePriv;
    GtkWidget *         gnome_db_sql_console_new            (GdaConnection *cnc,
                                                             const gchar *message);
    void                gnome_db_sql_console_clear          (GnomeDbSqlConsole *console);
    void                gnome_db_sql_console_clear_history  (GnomeDbSqlConsole *console);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTextView
                                     +----GnomeDbSqlConsole

## Implemented Interfaces

GnomeDbSqlConsole implements GtkBuildable and AtkImplementorIface.

## Properties

      "cnc"                      GdaConnection*        : Read / Write
      "message"                  gchar*                : Write / Construct Only

## Signals

      "sql-entered"                                    : Run Last

## Description

## Details

### GnomeDbSqlConsole

    typedef struct _GnomeDbSqlConsole GnomeDbSqlConsole;

### GnomeDbSqlConsoleClass

    typedef struct {
    	GtkTextViewClass       parent_class;

    	/* signals */
    	gchar                *(*sql_entered) (GnomeDbSqlConsole *console, const gchar *sql);
    } GnomeDbSqlConsoleClass;

### GnomeDbSqlConsolePriv

    typedef struct _GnomeDbSqlConsolePriv GnomeDbSqlConsolePriv;

### gnome_db_sql_console_new ()

    GtkWidget *         gnome_db_sql_console_new            (GdaConnection *cnc,
                                                             const gchar *message);

Creates a new GnomeDbSqlConsole widget

`cnc` : | a GdaConnection connection, or `NULL`
`message` : |
Returns : | the new widget

### gnome_db_sql_console_clear ()

    void                gnome_db_sql_console_clear          (GnomeDbSqlConsole *console);

Clears the contents of the `console` widget

`console` : | a GnomeDbSqlConsole widget

### gnome_db_sql_console_clear_history ()

    void                gnome_db_sql_console_clear_history  (GnomeDbSqlConsole *console);

Clears the queries history of the `console` widget

`console` : | a GnomeDbSqlConsole widget

## Property Details

### The `"cnc"` property

      "cnc"                      GdaConnection*        : Read / Write

### The `"message"` property

      "message"                  gchar*                : Write / Construct Only

Default value: NULL

## Signal Details

### The `"sql-entered"` signal

    gchar*              user_function                      (GnomeDbSqlConsole *dbsqlconsole,
                                                            gchar             *arg1,
                                                            gpointer           user_data)         : Run Last

`dbsqlconsole` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.
Returns : |